Package com.independentsoft.office.odf.styles

# Enum Class StyleFamily

java.lang.Object
java.lang.Enum<StyleFamily>
com.independentsoft.office.odf.styles.StyleFamily

All Implemented Interfaces:
  `Serializable`, `Comparable<StyleFamily>`, `Constable`

public enum StyleFamily extends Enum<StyleFamily>
Specifies the family of a style.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CELL`
  Family name of styles for table cells.
  `CHART`
  Family name of styles for charts.
  `COLUMN`
  Family name of styles for table columns.
  `CONTROL`
  Family name of styles for control.
  `DEFAULT`
  Family name of styles for default.
  `DRAWING_PAGE`
  Family name of styles for drawing pages.
  `GRAPHIC`
  Family name of styles for graphic elements.
  `NONE`
  None.
  `PARAGRAPH`
  Family name of styles for paragraphs.
  `PRESENTATION`
  Family name of styles for presentations.
  `ROW`
  Family name of styles for table rows.
  `RUBY`
  Family name of styles for ruby text.
  `SECTION`
  Family name of styles for sections.
  `TABLE`
  Family name of styles for tables.
  `TABLE_PAGE`
  Family name of styles for table page.
  `TEXT`
  Family name of styles for text.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StyleFamily`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static StyleFamily[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PARAGRAPH

    public static final StyleFamily PARAGRAPH
    Family name of styles for paragraphs.

  - ### TEXT

    public static final StyleFamily TEXT
    Family name of styles for text.

  - ### SECTION

    public static final StyleFamily SECTION
    Family name of styles for sections.

  - ### TABLE

    public static final StyleFamily TABLE
    Family name of styles for tables.

  - ### COLUMN

    public static final StyleFamily COLUMN
    Family name of styles for table columns.

  - ### ROW

    public static final StyleFamily ROW
    Family name of styles for table rows.

  - ### CELL

    public static final StyleFamily CELL
    Family name of styles for table cells.

  - ### TABLE_PAGE

    public static final StyleFamily TABLE_PAGE
    Family name of styles for table page.

  - ### CHART

    public static final StyleFamily CHART
    Family name of styles for charts.

  - ### DEFAULT

    public static final StyleFamily DEFAULT
    Family name of styles for default.

  - ### DRAWING_PAGE

    public static final StyleFamily DRAWING_PAGE
    Family name of styles for drawing pages.

  - ### GRAPHIC

    public static final StyleFamily GRAPHIC
    Family name of styles for graphic elements.

  - ### PRESENTATION

    public static final StyleFamily PRESENTATION
    Family name of styles for presentations.

  - ### CONTROL

    public static final StyleFamily CONTROL
    Family name of styles for control.

  - ### RUBY

    public static final StyleFamily RUBY
    Family name of styles for ruby text.

  - ### NONE

    public static final StyleFamily NONE
    None.

- ## Method Details

  - ### values

    public static StyleFamily[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StyleFamily valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null